#include "main_page.h"
#include "ui_main_page.h"


main_page::main_page(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::main_page)
{
    ui->setupUi(this); // formu oluştur.

    // title barı kaldır...
    setWindowFlags(Qt::Window | Qt::FramelessWindowHint);

    // timerı ayarla  ve başlat.
    sayac=0;
    tiktak = new QTimer(this);
    tiktak->start(20);

    // timer her timeout olduğunda slota bağlan
    connect(tiktak, SIGNAL(timeout()),this,SLOT(zamanla()));

}

main_page::~main_page()
{
    delete ui;
    delete w2;
}

void main_page::zamanla()  // timerı karşılayan slot...
{
    sayac++;

    ui->progressBar->setValue(sayac);
    if (sayac >=100)
    {
        tiktak->stop();
        sayac=0;

        // ikinci pencereyi nesne olarak oluşturuyoruz.
        hide();     // birinciyi gizle...
        w2 = new second_page();
        w2->show(); // ikinciyi göster

    }
}

